<?php 
ob_start();
session_start();
include "../config/config.php";
$allPermissions = $_SESSION['permission'];

$requestData= $_REQUEST;


/*Fetch Database column Details*/
        $columns = array( 
            0 =>'id', 
            1 =>'id', 
            2 =>'customer_name',
            3 =>'mobile_no',
            4 =>'unique_id',
            5 =>'city',
            6 =>'gender',
            7 =>'id',
            8 =>'id',
            9 =>'id'
           
        );
        
$conditions="";

$status = $_POST['status'];
$religion = $_POST['religion'];
$gender = $_POST['gender'];

if($status!=""){
    $conditions.=" and e.status=".$status;
}
if($religion!=""){
    $conditions.=" and e.religion='".$religion."'";
}
if($gender!=""){
    $conditions.=" and e.gender='".$gender."'";
}


        
/*Fetch All Data Start*/        
        
    	$statement = $pdo->prepare("SELECT e.*, COALESCE(s.total_sales, 0) AS total_sales, COALESCE(s.total_sales_count, 0) AS total_sales_count
FROM tbl_customers e 
LEFT JOIN (SELECT customer_id, SUM(grand_total) AS total_sales, count(id) as total_sales_count FROM tbl_sales GROUP BY customer_id) s ON e.id = s.customer_id
    	where e.id!=0 ".$conditions." ORDER BY e.id DESC");
		$statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);
		$totalData = $statement->rowCount();
        $totalFiltered = $totalData;
/*Fetch All Data End*/       
        
/*Fetch Filter Data Start*/    
         $sql = "SELECT e.*, COALESCE(s.total_sales, 0) AS total_sales, COALESCE(s.total_sales_count, 0) AS total_sales_count
FROM tbl_customers e 
LEFT JOIN (SELECT customer_id, SUM(grand_total) AS total_sales, count(id) as total_sales_count FROM tbl_sales GROUP BY customer_id) s ON e.id = s.customer_id
    	WHERE e.id!=0 ".$conditions;
         
        if( !empty($_REQUEST['search']) ) 
        {   
        	$sql.=" AND ( e.customer_name LIKE '%".$_REQUEST['search']."%' ";    
        	$sql.=" OR e.unique_id LIKE '%".$_REQUEST['search']."%'  ";
        	$sql.=" OR e.mobile_no LIKE '%".$_REQUEST['search']."%' ) ";
        }
        
/*Fetch Filter Data End*/       
        


         $sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
       	
        $statement = $pdo->prepare($sql);
        $statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);

$data = array();
$i=1;
foreach( $query as $row ) {  // preparing an array
	$nestedData=array(); 
	$action= "<div class='text-center'><div class='btn-group'>";
	 
	 
	 if($row["id"]!=1){
	                    $action.=" <a style='padding: 6px;margin-right: 3px;' href='modal/customers-view-modal.php?id=".$row["id"]."' data-toggle='ajax-modal' title='View Details' class='tip btn btn-primary btn-xs'>
		                    <i class='fa fa-eye'></i>
		                </a>";
		                
	 	               $action.="<a style='padding: 6px;margin-right: 3px;' href='customers-edit.php?id=".$row["id"]."' title='Edit Customer' class='tip btn btn-warning btn-xs'>
		                    <i class='fa fa-edit'></i>
		                </a> ";
		      if($row["status"]==1){
		                $action.=" <button style='padding: 6px;margin-right: 3px;' title='Delete Customers' onClick='delete_Details(".$row["id"].")' class='tip btn btn-danger btn-xs'>
		                    <i class='fa fa-trash-o'></i>
		                </button>";
		      }
	 }
		                
	$action.="</div></div>";
	
	
//	$nestedData[] = $action;	
	$nestedData[] = "<div class='text-center'>".$i."</div>";
	$nestedData[] = "<div class='text-center'>".$row["customer_name"]."</div>";
	$nestedData[] = "<div class='text-center'>".$row["mobile_no"]."</div>";
	$nestedData[] = "<div class='text-center'>".$row['unique_id']."</div>";
	$nestedData[] = "<div class='text-center'><span class='btn btn-danger btn-xs amount_span'><i class='fa fa-inr'></i> ".$row["total_sales"]."</span></div>";
	

	    $nestedData[] ="<div class='text-center'><span class='btn btn-warning btn-xs amount_span'>Invoice: ".$row['total_sales_count']."</span></div>";
	
	
	if($row["status"]==1){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-success btn-xs'><i class='fa fa-eye'></i> Active</span></div>";
	}else if($row["status"]==0){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-danger btn-xs' onclick='DynamicActive(".$row["id"].")'><i class='fa fa-eye-slash'></i> In-Active</span></div>";
	}
        	
        	
	$data[] = $nestedData;
	$i++;
	

}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),  
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data); 




?>